Bug 813291 - [RFE] Username cannot contain characters other than alpha numerals,'_', '-', can not resume after failure
[RFE] Username cannot contain characters other than alpha numerals,'_', '-', ...
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.0.0
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Adam Price
sthirugn@redhat.com
: FutureFeature, Triaged
: 871794 (view as bug list)
Depends On:
Blocks: sam13-tracker 871537 876492
  Show dependency treegraph
 
Reported: 2012-04-17 08:02 EDT by Jakub Dorňák
Modified: 2013-02-21 14:15 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Katello usernames can now contain symbols such as "@"
Story Points: ---
Clone Of:
: 871537 (view as bug list)
Environment:
Last Closed: 2013-02-21 14:15:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
db_seed.log (3.62 KB, text/x-log)
2012-04-17 08:02 EDT, Jakub Dorňák
no flags Details
Creating user names using unicode characters (67.52 KB, image/png)
2012-11-05 23:47 EST, Tazim Kolhar
no flags Details
User name i18n (61.04 KB, image/png)
2012-11-20 00:40 EST, Tazim Kolhar
no flags Details

  None (edit)
Comment 2 RHEL Product and Program Management 2012-04-17 08:14:41 EDT
Thank you for your bug report. This issue was evaluated for inclusion
in the current release of Subscription Asset Manager (SAM). Unfortunately,
we are unable to address this request. Because we are in the final stages
of development in the current release, only significant, release-blocking
issues involving serious regressions and data corruption can be considered.

If you believe this issue meets the release blocking criteria as defined and
communicated to you by your Red Hat Support representative, please ask
your representative to file this issue as a blocker for the current release.
Otherwise, ask that it be evaluated for inclusion in the next release of SAM.
Comment 3 RHEL Product and Program Management 2012-04-17 08:33:58 EDT
Thank you for your bug report. This issue was evaluated for inclusion
in the current release of Subscription Asset Manager (SAM). Unfortunately,
we are unable to address this request. Because we are in the final stages
of development in the current release, only significant, release-blocking
issues involving serious regressions and data corruption can be considered.

If you believe this issue meets the release blocking criteria as defined and
communicated to you by your Red Hat Support representative, please ask
your representative to file this issue as a blocker for the current release.
Otherwise, ask that it be evaluated for inclusion in the next release of SAM.
Comment 5 Tom McKay 2012-10-29 13:56:49 EDT
We will allow these usernames in headpin mode only for now. Katello will remain restrictive until pulp is fixed.
Comment 6 Partha Aji 2012-10-30 12:25:09 EDT
Cloned the Katello bug in bz 871537
Comment 8 Tom McKay 2012-10-31 09:14:17 EDT
*** Bug 871794 has been marked as a duplicate of this bug. ***
Comment 9 Adam Price 2012-10-31 10:00:53 EDT
*** Bug 871794 has been marked as a duplicate of this bug. ***
Comment 10 Adam Price 2012-10-31 10:01:44 EDT
regressed due to commit:
https://github.com/Katello/katello/commit/9c5e2918494c5e1128df82b2bbf2c3d078a8e528
Comment 11 Adam Price 2012-10-31 16:45:28 EDT
a quick fix was merged [1] to keep utf8 functionality in headpin. This will be fixed correctly for both headpin and katello once some deeper changes are made to katello so that pulp will play nice with utf8 usernames.

[1] https://github.com/Katello/katello/commit/6f1723b36fc9f92c4786f4c52a688f0c8553dc16
Comment 12 Tazim Kolhar 2012-11-05 23:47:15 EST
Created attachment 639077 [details]
Creating user names using unicode characters

VERIFIED :

# rpm -qa | grep katello
katello-certs-tools-1.2.1-1h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-1.2.2-1h.el6_3.noarch
katello-glue-candlepin-1.2.2-1h.el6_3.noarch
katello-cli-1.2.2-1h.el6_3.noarch
katello-selinux-1.2.1-1h.el6_3.noarch
katello-headpin-all-1.2.2-1h.el6_3.noarch
katello-headpin-1.2.2-1h.el6_3.noarch
katello-configure-1.2.1-1h.el6_3.noarch
katello-common-1.2.2-1h.el6_3.noarch
Comment 13 Tazim Kolhar 2012-11-15 10:55:46 EST
Sorry .. Changed to MODIFIED 
need to verify it for puddle
Comment 15 Tazim Kolhar 2012-11-20 00:40:31 EST
Created attachment 648286 [details]
User name i18n

VERIFIED :

# rpm -qa | grep katello
katello-configure-1.2.3-1h.el6_3.noarch
katello-headpin-all-1.2.6-1h.el6_3.noarch
katello-glue-candlepin-1.2.6-1h.el6_3.noarch
katello-cli-1.2.4-1h.el6_3.noarch
katello-selinux-1.2.1-1h.el6_3.noarch
katello-cli-common-1.2.4-1h.el6_3.noarch
katello-headpin-1.2.6-1h.el6_3.noarch
katello-common-1.2.6-1h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
Comment 16 Jakub Dorňák 2013-01-11 04:48:41 EST
I am not sure, what have You verified.

I have just tried:
katello-configure --deployment=sam --user-name='root' --user-pass='redhat' --org-name='Red Hat Czech, s. r. o.'

1. katello-configure did not check the parameter and started processing.

2. After the failure I tried to run katello-configure again with correct value of --org-name parameter, but it did not finished. I have not found easy way to repair the system after the previous failure and to configure katello (even uninstalling of all SAM related packages was not enough).

Therefore I see no change, opening the issue again.
Comment 17 Adam Price 2013-01-17 14:46:02 EST
I just ran:

$ katello-configure --deployment=sam --user-name=adprice@redhat.com

and it configured correctly (from the latest compose).

I can then use that admin user/pass to issue cli commands:

$ headpin -u adprice@redhat.com -p admin ping
--------------------------------------------------------------------------------------------------------------------------------------------------------------
                                                                        Katello Status

Status Service        Result Duration Message 
--------------------------------------------------------------------------------------------------------------------------------------------------------------
OK     
candlepin      OK     631ms    
candlepin_auth OK     37ms     
elasticsearch  OK     26ms     
katello_jobs   OK     34ms

where as 'admin' does not work:

$  headpin -u admin -p admin ping
Invalid credentials
Comment 18 Jakub Dorňák 2013-01-21 10:40:39 EST
I do not understand You.
Why did You run
$ katello-configure --deployment=sam --user-name=adprice@redhat.com
while I reported problem with
# katello-configure --deployment=sam --user-name='root' --user-pass='redhat' --org-name='Red Hat Czech, s. r. o.'
?
Comment 19 Jakub Dorňák 2013-01-21 10:45:14 EST
The point is, that the application must perform input validation.
Do not force me keep trying other combinations of unchecked params.
Just assert that it won't run until the input is OK.
Comment 21 Jordan OMara 2013-01-21 16:27:03 EST
Jakub: Adam was showing you that user-names can have periods and @ symbols in them, which is the intent of this bug.

There is another bug around org name validation and accepting non-validating parameters from the installer, but that is a different issue and requires a new BZ.
Comment 22 sthirugn@redhat.com 2013-01-21 17:59:58 EST
I tried to see if there are any workarounds for the ORG error mentioned by the user and here they are:

Step 1: (Invalid ORG name)
# katello-configure --deployment=sam --user-name='root' --user-pass='redhat' --org-name='Red Hat Czech, s. r. o.'
This errored.  The logs said unable to create first org.

Step 2: (Valid ORG name)
# katello-configure --deployment=sam --user-name='root' --user-pass='redhat' --org-name='Red Hat Czech'
This also errored out.  The logs said the user already exists.

Workarounds:
Workaround 1 - Running katello-configure without specifying user-name, user-pass
# katello-configure --deployment=sam --org-name='Red Hat Czech'
Works fine - But, a new admininstrator user called 'admin' is also created.  I am able to log in both as 'root' and 'admin' users.  They both have administrator privileges.

WORKAROUND 2 - Running katello-configure using --reset-data
# katello-configure --reset-data=YES --deployment=sam --user-name='root' --user-pass='redhat' --org-name='Red Hat Czech'
Works fine.  Only one administrator user called 'root' is created.
Comment 23 sthirugn@redhat.com 2013-01-22 16:26:04 EST
A new bug is created for tracking the Organization name issue - https://bugzilla.redhat.com/show_bug.cgi?id=902990.

Jakub Dorňák: If you are okay with this, can you please review and close this bug?
Comment 24 sthirugn@redhat.com 2013-01-23 14:56:08 EST
Tested the following scenario as originally reported in this defect and it works fine.

# katello-configure --deployment=sam --user-name=qa@redhat.com --user-pass=redhatqa --org-name="Red Hat"
Starting Katello configuration
The top-level log file is [/var/log/katello/katello-configure-20130123-144705/main.log]
Creating Candlepin database user
############################################################ ... OK
Creating Katello database user
############################################################ ... OK
Creating Katello database
############################################################ ... OK
Populating Katello database schema
############################################################ ... OK
Initializing Katello data
############################################################ ... OK

I was able to log in as qa@redhat.com in the SAM UI.

Version:
* candlepin-0.7.23-1.el6_3.noarch
* candlepin-tomcat6-0.7.23-1.el6_3.noarch
* elasticsearch-0.19.9-5.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.2.1-1h.el6_3.noarch
* katello-cli-1.2.1-12h.el6_3.noarch
* katello-cli-common-1.2.1-12h.el6_3.noarch
* katello-common-1.2.1-15h.el6_3.noarch
* katello-configure-1.2.3-3h.el6_3.noarch
* katello-glue-candlepin-1.2.1-15h.el6_3.noarch
* katello-headpin-1.2.1-15h.el6_3.noarch
* katello-headpin-all-1.2.1-15h.el6_3.noarch
* katello-selinux-1.2.1-2h.el6_3.noarch
* thumbslug-0.0.28-1.el6_3.noarch
* thumbslug-selinux-0.0.28-1.el6_3.noarch

Note: As per my earlier comments, for the Organization issue a separate Bug https://bugzilla.redhat.com/show_bug.cgi?id=902990 has been written.  An email has been sent to the author of this Bug too.
Comment 25 Jakub Dorňák 2013-01-24 05:37:55 EST
Great,
thanks!
Comment 27 errata-xmlrpc 2013-02-21 14:15:34 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.